package com.tiesheng.core.pojos.dao;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.tiesheng.core.pojos.DaoBase;
import java.util.Date;

/**
 * 日志-操作
 */
@TableName(value = "core_log_operation")
public class CoreLogOperation extends DaoBase {
    /**
     * 用户id
     */
    @TableField(value = "user_id")
    private String userId;

    /**
     * 用户名称
     */
    @TableField(value = "user_name")
    private String userName;

    /**
     * 标题
     */
    @TableField(value = "title")
    private String title;

    /**
     * 小标题
     */
    @TableField(value = "subject")
    private String subject;

    /**
     * 其他参数
     */
    @TableField(value = "params")
    private String params;

    /**
     * 获取用户id
     *
     * @return user_id - 用户id
     */
    public String getUserId() {
        return userId;
    }

    /**
     * 设置用户id
     *
     * @param userId 用户id
     */
    public void setUserId(String userId) {
        this.userId = userId;
    }

    /**
     * 获取用户名称
     *
     * @return user_name - 用户名称
     */
    public String getUserName() {
        return userName;
    }

    /**
     * 设置用户名称
     *
     * @param userName 用户名称
     */
    public void setUserName(String userName) {
        this.userName = userName;
    }

    /**
     * 获取标题
     *
     * @return title - 标题
     */
    public String getTitle() {
        return title;
    }

    /**
     * 设置标题
     *
     * @param title 标题
     */
    public void setTitle(String title) {
        this.title = title;
    }

    /**
     * 获取小标题
     *
     * @return subject - 小标题
     */
    public String getSubject() {
        return subject;
    }

    /**
     * 设置小标题
     *
     * @param subject 小标题
     */
    public void setSubject(String subject) {
        this.subject = subject;
    }

    /**
     * 获取其他参数
     *
     * @return params - 其他参数
     */
    public String getParams() {
        return params;
    }

    /**
     * 设置其他参数
     *
     * @param params 其他参数
     */
    public void setParams(String params) {
        this.params = params;
    }
}